| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::archive_version Class Reference

class archive_version manages the version of the archive format More...

`#include <archive_version.hpp>`

## Public Member Functions
| archive_version (U_16 x=0, unsigned char fix=0)
| archive_version constructor More...
bool | operator< (const archive_version &ref) const
bool | operator>= (const archive_version &ref) const
bool | operator== (const archive_version &ref) const
bool | operator!= (const archive_version &ref) const
bool | operator> (const archive_version &ref) const
bool | operator<= (const archive_version &ref) const
void | dump (generic_file &f) const
void | read (generic_file &f)
std::string | display () const

## Detailed Description

class archive_version manages the version of the archive format

Definition at line 44 of file archive_version.hpp.

## Constructor & Destructor Documentation

libdar::archive_version::archive_version | ( | U_16 | x = `0`,
|  | unsigned char | fix = `0`
| ) |  |

archive_version constructor

Parameters

  [in] | x | is the version number
  [in] | fix | is a decimal-like

Note
  the fix argument must only be used when the current stable version need to be increased due to a bug fix. This let the concurrent development version to keep the same version (usually x+1) while having the stable version using a slightly different format to fix a bug.

The documentation for this class was generated from the following file:

- archive_version.hpp